Skip to main content
GET
List Dns Records

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

domain_name
string
required

Query Parameters

skip
integer
default:0
limit
integer
default:100

Response

Successful Response

name
string
required

Full record name (e.g., api.example.com)

record_type
enum<string>
required
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
SRV,
CAA
content
string
required

Record content (e.g., IP address)

id
string<uuid>
required
domain_id
string<uuid>
required
created_at
string<date-time>
required
ttl
integer | null
default:300

Time to live in seconds

priority
integer | null

Priority for MX/SRV records

proxied
boolean | null
default:false

Whether the record is proxied (Cloudflare only)

lease_id
string<uuid> | null
provider_record_id
string | null
updated_at
string<date-time> | null